cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
489
Views
2
Helpful
3
Replies
m.m.mazurek
Beginner

YDK 0.7.1 - Golang 1.6.2

Hi,

While attempting to run ydk code with go on my Ubuntu machine (1.6.2, same version is in the docker container) I get:

/usr/lib/go-1.6/src/github.com/CiscoDevNet/ydk-go/ydk/types/types.go:331: syntax error: unexpected = in type declaration

/usr/lib/go-1.6/src/github.com/CiscoDevNet/ydk-go/ydk/types/types.go:342: syntax error: unexpected = in type declaration

That is caused by alias that is not supported in this go release. I tried with 1.9.7 & 1.10.3 but I was getting some other errors:

go build github.com/CiscoDevNet/ydk-go/ydk: invalid flag in #cgo LDFLAGS: -fprofile-arcs


Therefore my question is - which exact golang version shall be used to compile ?

Br,

M

1 ACCEPTED SOLUTION

Accepted Solutions
abhirame
Cisco Employee

YDK has been tested with Go 1.9.2. Can you please try with this version?

View solution in original post

3 REPLIES 3
abhirame
Cisco Employee

YDK has been tested with Go 1.9.2. Can you please try with this version?

View solution in original post

OK. Will try and update the discussion.

I tested with 1.9.2 and code compilation is successful. Thank you.

Create
Recognize Your Peers
Content for Community-Ad